Bug 613249 - k3b becomes unresponsive displaying 60-80% completion of an Audio CD rip to flac.
k3b becomes unresponsive displaying 60-80% completion of an Audio CD rip to f...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-10 06:28 EDT by E.Patton
Modified: 2014-01-12 19:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 02:02:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 245111 None None None Never

  None (edit)
Description E.Patton 2010-07-10 06:28:27 EDT
Description of problem:
k3b becomes unresponsive displaying 60-80% completion of an Audio CD rip to flac.The rip completes successfully but the application must be terminated using the window manager. 

Version-Release number of selected component (if applicable):
1.92.0 (KDE4.4.4)

k3b.x86_64                          1:1.92.0-1.fc13              @updates       
k3b-common.noarch                   1:1.92.0-1.fc13              @updates       
k3b-extras-freeworld.x86_64         1:1.92.0-1.fc13              @rpmfusion-free-updates
k3b-libs.x86_64                     1:1.92.0-1.fc13              @updates       


How reproducible:

Every time

Steps to Reproduce:
1. Select Tools->Rip audio CD
2. Select Start Ripping (post auto CDDB completion of the track names)
3. Select the file type to flac
4. The filenaming and Advanced tabs are left at default settings other than Convert " "->"_" is selected on the filenaming tab.
  
Actual results:
At around 60-80% completion displayed, the ripping panel (and application) becomes unresponsive and its display is no longer updated and the only way to exit the panel is to terminate the window using the window manager.

The actual rip does succeed and is 100% complete.

Expected results:

The rip panel and application should remain responsive and eventually offer a close option at completion of the rip. The rip should succeed.

Additional info:

Whilst verifying that the issue was not related to the CDs that I was using, I tested with an old (>15 years) known good CD. In that instance the entire desktop locked up and I had to shut down the system via remote login (VTs were not accessible).

I have reproduced the same issue on my eeePC using an external USB drive in 32-bit F13.

The CD drive in use is an Optiarc DVD RW AD-7200S Rev 1.05
Comment 1 E.Patton 2010-07-12 08:17:26 EDT
The same issue is still there in kde-testing (KDE4.5) on 32-bit (yet to verify on the 64-bit system).
 
k3b.i686                               1:2.0.0-2.fc13           @kde-testing    
k3b-common.noarch                      1:2.0.0-2.fc13           @kde-testing    
k3b-extras-freeworld.i686              1:1.92.0-1.fc13          @rpmfusion-free-updates
k3b-libs.i686                          1:2.0.0-2.fc13           @kde-testing
Comment 2 E.Patton 2010-07-15 15:42:30 EDT
The same issue also happens with x86_64.

k3b.x86_64                         1:2.0.0-2.fc13             @kde-testing      
k3b-common.noarch                  1:2.0.0-2.fc13             @kde-testing      
k3b-extras-freeworld.x86_64        1:1.92.0-1.fc13            @rpmfusion-free-updates
k3b-libs.x86_64                    1:2.0.0-2.fc13             @kde-testing
Comment 3 Radek Novacek 2010-07-19 04:48:47 EDT
Reported upstream: https://bugs.kde.org/show_bug.cgi?id=245111
Comment 4 Radek Novacek 2010-07-27 02:02:42 EDT
This bug was fixed in upstream.

Note You need to log in before you can comment on or make changes to this bug.